import z__default from "zod";
import { j as AppCategories } from "./index-Cw1zbw54.js";
const variantSchema = z__default.nativeEnum(AppCategories);
function getInstalledAppPath({ variant, slug }, locationSearch = "") {
  if (!variant)
    return `/apps/installed${locationSearch}`;
  const parsedVariant = variantSchema.safeParse(variant);
  if (!parsedVariant.success)
    return `/apps/installed${locationSearch}`;
  if (!slug)
    return `/apps/installed/${variant}${locationSearch}`;
  return `/apps/installed/${variant}?hl=${slug}${locationSearch && locationSearch.slice(1)}`;
}
export {
  getInstalledAppPath as g
};
